#projects {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    
    width: 100%;
    padding-top: 6rem;
    padding-bottom: 6rem;
}

#projects > .title {
    width: 100%;
    padding: 0 var(--default-padding-horizontal);
    margin-bottom: 4rem;
    gap: 0.75rem;
}

#projects > row.title {
    flex-wrap: wrap;
    justify-content: space-between;
    background-color: rgb(250, 250, 250);
    padding: 6rem var(--default-padding-horizontal);
    gap: 1rem 2rem;
}

#projects > .title > h1,
#projects > .title > h2 {
    color: rgb(0, 0, 0);
    
    font-weight: 600;
    font-size: 3rem;
    
    line-height: 2.5rem;
    text-transform: uppercase;
    letter-spacing: calc(3rem * var(--default-letter-spacing) * 1.25);
    margin-left: -0.25rem;
}

#projects > .title > p,
#projects > .title > p > a {
    color: rgba(0, 0, 0, 0.5);

    font-weight: 500;
    font-size: 1rem;
    
    line-height: 1.5rem;
    letter-spacing: calc(1rem * var(--default-letter-spacing));
}

#projects > row.title > p { max-width: 41rem; margin-top: -0.25rem; }
#projects > column.title > p { max-width: 37.5rem; }

#projects > .title > p > a {
    color: rgba(0, 0, 0, 0.25);
    transition: color var(--default-transition);
}

#projects > .title > p > a:hover {
    color: rgba(0, 0, 0, 0.5);
}

#projects > .content {
    flex-wrap: wrap;
    
    width: 100%;
    padding: 0 var(--default-padding-horizontal);
    gap: 4rem 2rem;
}

#projects > .content > .project {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    
    position: relative;
    
    flex-shrink: 1;
    flex-grow: 0;
    
    width: calc(50% - 1rem);
    gap: 12px;
}

#projects > .content > .project::after {
    content: "";
    
    position: absolute;
    
    background-color: rgba(0, 0, 0, 0.00);
    border-radius: 0.75rem;
    
    aspect-ratio: 1.7;
    width: 100%;
    
    transition: background-color var(--default-transition);
}

#projects > .content > .project:hover::after {
    background-color: rgba(0, 0, 0, 0.10);
}

#projects > .content > .project > img {
    border-radius: 0.75rem;
    aspect-ratio: 1.7;
    width: 100%;
}

#projects > .content > .project > .name {
    color: rgb(0, 0, 0);
    font-weight: 600;
    font-size: 1.25rem;
    line-height: 1.75rem;
    white-space: normal;
    letter-spacing: calc(1.25rem * var(--default-letter-spacing));
    margin-top: 0.5rem;
}

#projects > .content > .project > .action {
    position: relative;
    opacity: 0.25;
    color: rgb(0, 0, 0);
    font-weight: 500;
    font-size: 0.825rem;
    line-height: 0.825rem;
    letter-spacing: calc(0.825rem * var(--default-letter-spacing) * 0.5);
    transition: opacity var(--default-transition);
}

#projects > .content > .project:hover > .action {
    opacity: 0.5;
}

#projects > .content > .project > .action::after {
    content: "";
    position: absolute;
    
    opacity: 0.75;
    
    background-image: url("/icons/redirect.svg");
    background-repeat: no-repeat;
    background-position: center;
    
    top: 50%;
    left: 100%;
    
    width: 16px;
    height: 16px;
    
    filter: brightness(0);
    transform: translateY(-50%) translateX(4px);
}

#projects > .redirect {
    display: none;
    
    color: rgb(255, 255, 255);
    background-color: rgb(0, 0, 0);
    border-radius: 0.75rem;
    
    font-weight: 500;
    font-size: 0.875rem;
    
    text-align: center;
    line-height: 0.875rem;
    letter-spacing: calc(0.875rem * var(--default-letter-spacing));
    
    width: calc(100% - var(--default-padding-horizontal) * 2);
    padding: 1.75rem 0;
    margin: 0 var(--default-padding-horizontal);
    margin-top: 2rem;
}

#projects > .pagination {
    justify-content: space-between;
    position: relative;
    width: 100%;
    padding: 0 var(--default-padding-horizontal);
    margin-top: 6rem;
}

#projects > .pagination > button {
    color: rgb(255, 255, 255);
    background-color: rgb(0, 0, 0);
    border-radius: 5rem;
    
    outline: 1px solid rgba(0, 0, 0, 0);
    outline-offset: 1.25rem;
    
    font-weight: 500;
    font-size: 0.825rem;
    
    line-height: 0.825rem;
    letter-spacing: calc(0.825rem * var(--default-letter-spacing));
    
    width: 8rem;
    padding: 1.15rem 0;
    
    transition: outline-color var(--default-transition), outline-offset var(--default-transition);
}

#projects > .pagination > button:hover {
    outline-color: rgba(0, 0, 0, 0.15);
    outline-offset: 0.625rem;
}

#projects > .pagination > button[data-enabled="0"] {
    pointer-events: none;
    background-color: rgb(240, 240, 240);
}

#projects > .pagination > span {
    --progress: 100%;
    color: rgba(0, 0, 0, 0.5);
    
    font-weight: 500;
    font-size: 0.825rem;
    
    position: absolute;
    
    top: 50%;
    left: 50%;
    
    text-align: center;
    white-space: nowrap;
    line-height: 0.825rem;
    letter-spacing: calc(0.825 * var(--default-letter-spacing) * 1.5);
    
    min-width: 8rem;
    height: 60%;
    
    transform: translate(-50%, -50%);
}

#projects > .pagination > span::before,
#projects > .pagination > span::after {
    content: "";
    position: absolute;

    top: 100%;
    left: 0;

    height: 2px;

    transform: translateY(-50%);
}

#projects > .pagination > span::before {
    background-color: rgba(0, 0, 0, 0.25);
    width: 100%;
}

#projects > .pagination > span::after {
    background-color: rgba(0, 0, 0, 1);
    width: var(--progress);
    transition: width var(--default-transition);
}

@media (max-width: 75vh) {
    #projects > .content {
        flex-direction: column;
    }
    
    #projects > .content > .project {
        width: 100%;
    }
    
    #projects > .content > .project > img,
    #projects > .content > .project::after {
        aspect-ratio: 1.333;
    }
    
    #projects > .title > p > a {
        display: none;
    }
    
    #projects > .redirect {
        display: block;
    }
}